/**
 * @author      ETSI / STF462 / Alexandre Berge
 * @version     $URL$
 *              $Id$
 */
package org.etsi.ttcn.codec.its.iicp;

import org.etsi.ttcn.codec.CodecFactory;
import org.etsi.ttcn.tci.TciTypeClass;

public class Plugin {

    public static void init() {

        CodecFactory cf = CodecFactory.getInstance();

        cf.setCodec(TciTypeClass.RECORD, "LibIts_Interface", "IicpReq", IicpRecord.class); // TODO Check to remove it
        cf.setCodec(TciTypeClass.RECORD, "LibIts_Interface", "IicpInd", IicpInd.class);
        cf.setCodec(TciTypeClass.UNION, "LibIts_Interface", "IicpMsg", IicpMsg.class);
    }
}